/*
 * ReadValues.h

 *
 *  Created on: 30 giu 2016
 *  Author: Giuseppe Cacciatore
 */

#ifndef READINGVALUE_H_
#define READINGVALUE_H_

#include "../Headers/Utilities.h"

/**
 * These functions read values useful to starting the Simulation from the Setup.txt file, located in the Input folder
 */
StreetPoint readStreetPoint();
GraphCityMap setMapCity();
StreetPoint readDefaultStreetPoint();
GraphCityMap setDefaultMapCity();
Users allocateUsers(int num_users, StreetPoint stpM,StreetPoint::iterator it_stpM);
int readDaySimulation();
int readNumberUsers();
string readKindAntennaFromSetupFile();
int readDecision();
int readRay();
int readStartHour();
int readStartMinute();
int readFinishtHour();
int readFinishMinute();
int readMaximumTravelTime();
int readMinimumTravelTime();

#endif /* READINGVALUE_H_ */
